%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   File-Comments
%define modv   0.07
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       A Perl module for extracting format-specific comments
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/M/MS/MSCHILLI/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Michael Schilli <m@perlmeister.com>
Provides:      perl(File::Comments) = %{modv}
Provides:      perl(File::Comments::Plugin::C) = 0.01
Provides:      perl(File::Comments::Plugin::HTML) = 0.01
Provides:      perl(File::Comments::Plugin::Java) = 0.01
Provides:      perl(File::Comments::Plugin::Makefile) = 0.01
Provides:      perl(File::Comments::Plugin::PHP) = 0.01
Provides:      perl(File::Comments::Plugin::Perl) = 0.01
Provides:      perl(File::Comments::Plugin::Python) = 0.01
Provides:      perl(File::Comments::Plugin::Shell) = 0.01
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl(Archive::Tar) >= 1.22
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::TokeParser) >= 2.28
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(Log::Log4perl) >= 0.50
BuildRequires: perl(Module::Pluggable) >= 2.4
BuildRequires: perl(PPI) >= 1.115
BuildRequires: perl(Pod::Parser) >= 1.13
BuildRequires: perl(Sysadm::Install) >= 0.11
BuildRequires: perl(Test::More)
BuildArch:     noarch


%description
File::Comments guesses the type of a given file, determines the format used
for comments, extracts all comments, and returns them as a reference to an
array of chunks. Alternatively, it strips all comments from a file.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/%{modp}
%{_mandir}/man3/*.3*


%changelog
* Tue Jun 30 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.07-1
- Initial build
